import 'package:gainer_crypto/crypto.dart';

void main() {
  const inputText = "Hello GaiNeR";

  // Get Hash String of any CryptoType
  final sha1Hash = grHashString(GRCryptoType.sha1, inputText);
  print(sha1Hash);
  final md5Hash = grHashString(GRCryptoType.md5, inputText);
  print(md5Hash);

  // Get Hash Bytes in terms of List<int> of any CryptoType
  final sha1Bytes = grHashBytes(GRCryptoType.sha1, inputText);
  print(sha1Bytes);
  final md5Bytes = grHashBytes(GRCryptoType.md5, inputText);
  print(md5Bytes);

  const input1 = "Hello";
  const input2 = "GaiNeR";
  final chunks = [input1, input2];

  // Get Hash String of any CryptoType from chunks of String
  final sha256Hash = grHashStringFromArray(GRCryptoType.sha256, chunks);
  print(sha256Hash);
  final md4Hash = grHashStringFromArray(GRCryptoType.md4, chunks);
  print(md4Hash);

  // Get Hash Bytes in terms of List<int> of any CryptoType from chunks of String
  final sha256Bytes = grHashBytesFromArray(GRCryptoType.sha256, chunks);
  print(sha256Bytes);
  final md4Bytes = grHashBytesFromArray(GRCryptoType.md4, chunks);
  print(md4Bytes);
}
