import 'package:gainer_crypto/crypto.dart';

void main() {
  const inputText = "Hello GaiNeR";

  // HMAC Examples where you need a key
  const key = "Password";

  // Get Hash String of any CryptoType
  final sha1HashHMAC =
      grHMACHashString(GRCryptoTypeHMAC.hmacSHA1, inputText, key);
  print(sha1HashHMAC);

  // Get Hash Bytes in terms of List<int> of any CryptoType
  final md5BytesHMAC =
      grHMACHashBytes(GRCryptoTypeHMAC.hmacMD5, inputText, key);
  print(md5BytesHMAC);

  const input1 = "Hello";
  const input2 = "GaiNeR";
  final chunks = [input1, input2];

  // Get Hash String of any CryptoType from chunks of String
  final sha256HashHMAC =
      grHMACHashStringFromArray(GRCryptoTypeHMAC.hmacSHA256, chunks, key);
  print(sha256HashHMAC);

  // Get Hash Bytes in terms of List<int> of any CryptoType from chunks of String
  final sha256BytesHMAC =
      grHMACHashBytesFromArray(GRCryptoTypeHMAC.hmacSHA256, chunks, key);
  print(sha256BytesHMAC);
}