import 'package:gainer_crypto/crypto_advanced.dart';

void main() {
  const inputText = "Hello GaiNeR";
  final listCryptoTypes = [GRCryptoType.sha1, GRCryptoType.md5];

  // Encrypt the input string sequentially the list of types provided and
  // return Hash String
  final hashString = grAdvHashString(listCryptoTypes, inputText);
  print(hashString);

  // Encrypt the input string sequentially the list of types provided and
  // return Hash Bytes in terms of List<int>
  final hashBytes = grAdvHashBytes(listCryptoTypes, inputText);
  print(hashBytes);

  const input1 = "Hello";
  const input2 = "GaiNeR";
  final chunks = [input1, input2];

  // Encrypt the chunks input string sequentially the list of types provided
  // and return Hash String
  final hashStringCh = grAdvHashStringFromArray(listCryptoTypes, chunks);
  print(hashStringCh);

  // Encrypt the chunks input string sequentially the list of types provided
  // and return Hash Bytes in terms of List<int>
  final hashBytesCH = grAdvHashBytesFromArray(listCryptoTypes, chunks);
  print(hashBytesCH);

  // Encrypt the input string multiple times of CryptoType provided and
  // return Hash String. Here 3 means repeat 3 times, which will actually
  // encrypt 4 times.
  final sha1HashWR = grHashStringWR(GRCryptoType.sha1, 3, inputText);
  print(sha1HashWR);

  // Encrypt the input string multiple times of CryptoType provided and
  // return Hash Bytes in terms of List<int>. Here 2 means repeat 2 times,
  // which will actually encrypt 3 times.
  final md5BytesWR = grHashBytesWR(GRCryptoType.md5, 2, inputText);
  print(md5BytesWR);

  // Encrypt the chunks input string multiple times of CryptoType provided and
  // return Hash String. Here 3 means repeat 3 times, which will actually
  // encrypt 4 times.
  final hashChunkWR = grHashStringFromArrayWR(GRCryptoType.sha1, 3, chunks);
  print(hashChunkWR);

  // Encrypt the chunks input string multiple times of CryptoType provided and
  // return Hash Bytes in terms of List<int>. Here 2 means repeat 2 times,
  // which will actually encrypt 3 times.
  final bytesChunkWR = grHashBytesFromArrayWR(GRCryptoType.md5, 2, chunks);
  print(bytesChunkWR);
}
