import 'package:gainer_crypto/encrypt_decrypt.dart';

void main() {
  const inputText = "Hello GaiNeR";

  // Make a key of Type GRKey
  GRKey key = grKeyFromUtf8("32 Length Key...");

  // AES Base64 Encryption and Decryption input and Key Mandatory
  String encrypted = grEncrypt64AES(input: inputText, key: key);
  String decrypted = grDecrypt64AES(inputBase64: encrypted, key: key);

  // You can pass specific mode of Type GRAESMode. Default is GRAESMode.sic
  encrypted = grEncrypt64AES(input: inputText, key: key, mode: GRAESMode.cbc);
  decrypted =
      grDecrypt64AES(inputBase64: encrypted, key: key, mode: GRAESMode.cbc);

  // You can pass specific padding of Type GRPadding. Default is GRPadding.pkcs7
  encrypted =
      grEncrypt64AES(input: inputText, key: key, padding: GRPadding.none);
  decrypted =
      grDecrypt64AES(inputBase64: encrypted, key: key, padding: GRPadding.none);

  // You can pass repeat count. Default is 0. and Negative not allowed
  // By default it will be encrypted only once
  // Here it will be encrypted 3 times
  encrypted = grEncrypt64AES(input: inputText, key: key, repeat: 2);
  decrypted = grDecrypt64AES(inputBase64: encrypted, key: key, repeat: 2);

  // You can pass custom iv of type GRIV. Default is grIVFromLength(16)
  GRIV iv = grIVFromUtf8("16 Length IV...");
  encrypted = grEncrypt64AES(input: inputText, key: key, iv: iv);
  decrypted = grDecrypt64AES(inputBase64: encrypted, key: key, iv: iv);

  // All Param Together
  encrypted = grEncrypt64AES(
      input: inputText,
      key: key,
      iv: iv,
      mode: GRAESMode.ctr,
      padding: GRPadding.pkcs7,
      repeat: 3);
  decrypted = grDecrypt64AES(
      inputBase64: encrypted,
      key: key,
      iv: iv,
      mode: GRAESMode.ctr,
      padding: GRPadding.pkcs7,
      repeat: 3);
}
