import 'package:gainer_crypto/encrypt_decrypt.dart';

void main() {
  const inputText = "Hello GaiNeR";
  const publicKeyPath = 'test/public.pem';
  const privateKeyPath = 'test/private.pem';

  // RSA Base 64Encryption and Decryption
  // input, publicKeyPath and privateKeyPath Mandatory
  String encrypted = "";
  grEncrypt64RSA(
          input: inputText,
          publicKeyPath: publicKeyPath,
          privateKeyPath: privateKeyPath)
      .then((value) => {encrypted = value});
  String decrypted = "";
  grDecrypt64RSA(
          inputBase64: encrypted,
          publicKeyPath: publicKeyPath,
          privateKeyPath: privateKeyPath)
      .then((value) => {decrypted = value});

  // You can pass repeat count. Default is 0. and Negative not allowed
  // By default it will be encrypted only once
  // Here it will be encrypted 3 times
  grEncrypt64RSA(
          input: inputText,
          publicKeyPath: publicKeyPath,
          privateKeyPath: privateKeyPath,
          repeat: 2)
      .then((value) => {encrypted = value});
  grDecrypt64RSA(
          inputBase64: encrypted,
          publicKeyPath: publicKeyPath,
          privateKeyPath: privateKeyPath,
          repeat: 2)
      .then((value) => {decrypted = value});

  // You can pass encoding GREncodingRSA. Default is GREncodingRSA.PKCS1
  grEncrypt64RSA(
          input: inputText,
          publicKeyPath: publicKeyPath,
          privateKeyPath: privateKeyPath,
          encoding: GREncodingRSA.OAEP)
      .then((value) => {encrypted = value});
  grDecrypt64RSA(
          inputBase64: encrypted,
          publicKeyPath: publicKeyPath,
          privateKeyPath: privateKeyPath,
          encoding: GREncodingRSA.OAEP)
      .then((value) => {decrypted = value});

  // All Param Together
  grEncrypt64RSA(
          input: inputText,
          publicKeyPath: publicKeyPath,
          privateKeyPath: privateKeyPath,
          encoding: GREncodingRSA.OAEP,
          repeat: 2)
      .then((value) => {encrypted = value});
  grDecrypt64RSA(
          inputBase64: encrypted,
          publicKeyPath: publicKeyPath,
          privateKeyPath: privateKeyPath,
          encoding: GREncodingRSA.OAEP,
          repeat: 2)
      .then((value) => {decrypted = value});
}
