import 'package:gainer_crypto/encrypt_decrypt.dart';

void main() {
  const inputText = "Hello GaiNeR";

  // Make a key of Type GRKey
  GRKey key = grKeyFromUtf8("32 Length Key...");

  // Salsa20 Base64 Encryption and Decryption input and Key Mandatory
  String encrypted = grEncrypt64Salsa20(input: inputText, key: key);
  String decrypted = grDecrypt64Salsa20(inputBase64: encrypted, key: key);

  // You can pass repeat count. Default is 0. and Negative not allowed
  // By default it will be encrypted only once
  // Here it will be encrypted 3 times
  encrypted = grEncrypt64Salsa20(input: inputText, key: key, repeat: 2);
  decrypted = grDecrypt64Salsa20(inputBase64: encrypted, key: key, repeat: 2);

  // You can pass custom iv of type GRIV. Default is grIVFromLength(8)
  GRIV iv = grIVFromUtf8("8 Length IV...");
  encrypted = grEncrypt64Salsa20(input: inputText, key: key, iv: iv);
  decrypted = grDecrypt64Salsa20(inputBase64: encrypted, key: key, iv: iv);

  // All Param Together
  encrypted = grEncrypt64Salsa20(input: inputText, key: key, iv: iv, repeat: 3);
  decrypted =
      grDecrypt64Salsa20(inputBase64: encrypted, key: key, iv: iv, repeat: 3);
}
