// Copyright (c) 2022, Pritam Hazra.

import 'package:crypto/crypto.dart';
import '../crypto_types.dart';

Hash getHashFor(GRCryptoTypeHMAC type) {
  switch (type) {
    case GRCryptoTypeHMAC.hmacSHA1:
      return sha1;
    case GRCryptoTypeHMAC.hmacSHA224:
      return sha224;
    case GRCryptoTypeHMAC.hmacSHA256:
      return sha256;
    case GRCryptoTypeHMAC.hmacSHA384:
      return sha384;
    case GRCryptoTypeHMAC.hmacSHA512:
      return sha512;
    case GRCryptoTypeHMAC.hmacSHA512_224:
      return sha512224;
    case GRCryptoTypeHMAC.hmacSHA512_256:
      return sha512256;
    case GRCryptoTypeHMAC.hmacMD5:
      return md5;
  }
}
